get
/v1/iam/service-accounts/{service_account_id}/groupsList service account groups
List all groups the service account belongs to
Path Parameters
service_account_id
string<uuid>requiredpath
Service Account ID
Example: "550e8400-e29b-41d4-a716-446655440000"
Responses
200
List of groups
Content-Type: application/json
groups
arrayoptionalmeta
objectoptionallinks
objectoptional401
Authentication required or token invalid
Content-Type: application/json
error
objectrequired403
Insufficient permissions
Content-Type: application/json
error
objectrequired404
Resource not found
Content-Type: application/json
error
objectrequired500
Internal server error
Content-Type: application/json
error
objectrequiredcurl -X GET "https://api.spo1.mycloud.com/v1/iam/service-accounts/550e8400-e29b-41d4-a716-446655440000/groups" \-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \-H "Content-Type: application/json"
Response
List of groups
{"groups": [{"id": "550e8400-e29b-41d4-a716-446655440000","crn": "crn::iam:group:550e8400-e29b-41d4-a716-446655440000","name": "developers","description": "Development team members","member_count": 0,"created_at": "2024-01-15T10:30:00Z","updated_at": "2024-01-15T10:30:00Z"}],"meta": {"total": 150,"limit": 20,"marker": "550e8400-e29b-41d4-a716-446655440000","has_more": true},"links": {"self": "https://api.spo1.mycloud.com/v1/instances?limit=20","next": "https://api.spo1.mycloud.com/v1/instances?limit=20&marker=550e8400-e29b-41d4-a716-446655440000","previous": "https://api.spo1.mycloud.com/v1/instances?limit=20&marker=440e8400-e29b-41d4-a716-446655440000"}}